#import "Fraction.h"

@interface FractionB: Fraction
-(void) print;
@end

@implementation FractionB;
-(void) print
{
	printf (" (%i/%i) ", numerator, denominator);
}
@end


int main (int argc, char *argv[])
{
	Fraction  *a;
	Fraction  *b;
	Fraction  *result;
	
	[FractionB poseAs: [Fraction class]];

	a = [[Fraction alloc] init];
	b = [[Fraction alloc] init];

	[a setTo: 1 over: 3];
	[b setTo: 2 over: 5];

	[a print]; printf (" + "); [b print]; printf (" = ");
	result = [a add: b];
	[result print];
	printf ("\n");

	[a free];
	[b free];
	[result free];

	return 0;
}

