// Working with Numbers 

#import <Foundation/NSObject.h>
#import <Foundation/NSAutoreleasePool.h>
#import <Foundation/NSValue.h>

#import <Foundation/NSString.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool  *pool = [[NSAutoreleasePool alloc] init];
	NSNumber  *myNumber, *floatNumber, *intNumber;
	int  i;

	// integer value

	intNumber = [NSNumber numberWithInt: 100];
	printf ("%i\n", [intNumber  intValue]); 

	// long value

	myNumber = [NSNumber numberWithInt: 0xabcdef];
	printf ("%lx\n", [myNumber  longValue]); 

	// char value

	myNumber = [NSNumber numberWithChar: 'X'];
	printf ("%c\n", [myNumber charValue]); 


	// float value

	floatNumber = [NSNumber numberWithFloat: 100.00];
	printf ("%g\n", [floatNumber floatValue]); 

	// double

	myNumber =  [NSNumber  numberWithDouble: 12345e+15];
	printf ("%Lg\n", [myNumber doubleValue]); 

	// Wrong access here

	printf ("%i\n", [myNumber intValue]); 

	// Test two Numbers for equality

	if ([intNumber  isEqualToNumber: floatNumber] == YES)
		printf ("Numbers are equal\n");
	else
		printf ("Numbers are not equal\n");


	//  Test if one Number is <, ==, or > second Number

	if ([intNumber compare: myNumber] < 0)
		printf ("First number is less than second\n");

	[pool release];
	return 0;
}
	

