#import "AddressCard.h"

@implementation AddressCard;

-(void) setName: (NSString *) theName
{
	[name release];  

	name = [[NSString alloc] initWithString: theName];
}

-(void) setEmail: (NSString *) theEmail
{
	[email release];

	email = [[NSString alloc] initWithString: theEmail];
}

-(void) setName: (NSString *) theName andEmail: (NSString *) theEmail
{
    [self setName: theName];
    [self setEmail: theEmail];
}

-(NSString *) name
{
	return name;
}

-(NSString *) email
{
	return email;
}

// Compare the two names from the specified address cards
-(NSComparisonResult) compareNames: (id) element
{
        return [name  compare: [element name]];
}

-(void) print
{
        printf ("====================================\n");
        printf ("|                                  |\n");
        printf ("|  %-31s |\n", [name  cString]);
        printf ("|  %-31s |\n", [email cString]);
        printf ("|                                  |\n");
        printf ("|                                  |\n");
        printf ("|                                  |\n");
        printf ("|        O                O        |\n");
        printf ("====================================\n");

}

-(void) dealloc
{
	[name release];
	[email release];
	[super dealloc];
}
@end

