#import <Foundation/NSArray.h>
#import "AddressCard.h"

@interface AddressBook: NSObject
{
	NSString 	     *bookName;
	NSMutableArray   *book;
}

-(AddressBook *) initWithName: (NSString *) name;
-(void) sort;
-(void) addCard: (AddressCard *) theCard;
-(void) removeCard: (AddressCard *) theCard;

-(int)  entries;
-(void) list;
-(AddressCard *) lookup: (NSString *) theName;

-(void) dealloc;

@end

