// Introduction to reference counting

#import <Foundation/NSObject.h>
#import <Foundation/NSAutoreleasePool.h>
#import <Foundation/NSString.h>

@interface ClassA: NSObject
{
	NSString  *str;
}

-(void) setStr: (NSString *) s;
-(NSString *) str;
@end

@implementation ClassA;
-(void) setStr: (NSString *) s
{
	str = s;
}

-(NSString *) str
{
	return str;
}
@end

int main (int argc, char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	NSString	*myStr = [NSString  stringWithString: @"A string"];
	ClassA      *myA = [[ClassA  alloc] init];
	
	printf ("myStr retain count: %x\n", [myStr retainCount]);

	[myA setStr: myStr];
	printf ("myStr retain count: %x\n", [myStr  retainCount]);

	[myA release];	
	[pool release];
	return 0;
}

