#import <Foundation/NSObject.h>
#import <Foundation/NSAutoreleasePool.h>

@interface Foo: NSObject
{
	int x;
}
@end

@implementation Foo;
@end

int main (int argc, char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	Foo	  *myFoo = [[Foo alloc] init];
	
	printf ("myFoo retain count = %x\n", [myFoo retainCount]);

	[pool release];
	printf ("after pool release = %x\n", [myFoo retainCount]);

	pool = [[NSAutoreleasePool alloc] init];

	[myFoo autorelease];
	printf ("after autorelease = %x\n", [myFoo retainCount]);
	
	[myFoo retain];
	printf ("after retain = %x\n", [myFoo retainCount]);

	[pool release];
	printf ("after second pool release = %x\n", [myFoo retainCount]);

	[myFoo release];

	return 0;
}

