#import <Foundation/NSArray.h>
#import "AddressCard.h"

@interface AddressBook: NSObject <NSCopying, NSCoding>
{
	NSString 	 *bookName;
	NSMutableArray *book;
}

-(id) initWithName: (NSString *) name;
-(void) setName: (NSString *) theName;
-(void) setBook: (NSArray *) theBook;

-(NSString *) bookName;
-(NSMutableArray *) book;

-(void) addCard: (AddressCard *) theCard;
-(void) removeCard: (AddressCard *) theCard;

-(AddressCard *) lookup: (NSString *) theName;

-(int) entries;
-(void) list;
-(void) sort;

@end

