#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSArchiver.h>

@interface AddressCard: NSObject <NSCoding, NSCopying>
{
	NSString *name;
	NSString *email;
}

-(AddressCard *) initWithName: (NSString *) theName
                     andEmail: (NSString *) theEmail;

-(void) setName: (NSString *) theName;
-(void) setEmail: (NSString *) theEmail;
-(void) setName: (NSString *) theName andEmail: (NSString *) theEmail;
-(void) retainName: (NSString *) theName andEmail: (NSString *) theEmail;

-(NSString *) name;
-(NSString *) email;

-(NSComparisonResult) compareNames: (id) element;
-(void) print;
@end
