#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSDictionary.h>
#import <Foundation/NSEnumerator.h>
#import <Foundation/NSArchiver.h>
#import <Foundation/NSAutoreleasePool.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool    *pool = [[NSAutoreleasePool alloc] init];
	NSDictionary  *glossary;
	NSEnumerator  *keyEnum;
	id	         key;

	glossary = [NSUnarchiver unarchiveObjectWithFile:
                                   @"glossary.archive"];

	keyEnum = [glossary  keyEnumerator];

	while ( (key = [keyEnum  nextObject]) != nil ) {
		printf ("%s: %s\n\n",  [key cString],
		[[glossary objectForKey: key] cString]);
	}

	[pool release];
	return 0;
}

