// Program to access instance variables – cont’d

#import <stdio.h>
#import <objc/Object.h>

//------- @interface section -------

@interface  Fraction: Object
{
	int	numerator;
	int	denominator;
}

-(void)  print;
-(void)  setNumerator: (int) n;
-(void)  setDenominator: (int) d;
-(int)   numerator;
-(int)   denominator;

@end

//------- @implementation section -------


@implementation Fraction;
-(void) print 
{
	printf (" %i/%i ", numerator, denominator);
}

-(void) setNumerator: (int) n
{
	numerator = n;
}

-(void) setDenominator: (int) d
{
	denominator = d;
}

-(int) numerator 
{
	return numerator;
}

-(int) denominator
{
	return denominator;
}

@end


//------- program section -------

int main (int argc, char *argv[])
{
	Fraction	*myFraction = [[Fraction alloc] init]; 

	// Set fraction to 1/3 

	[myFraction setNumerator: 1];		
	[myFraction setDenominator: 3];

	// Display the fraction using our two new methods

	printf ("The value of myFraction is: %i/%i\n",
	   [myFraction numerator], [myFraction denominator]);

	[myFraction free];
	return 0;
}

