#import "Fraction.h"
#import <stdio.h>

int main (int argc, char *argv[])
{
	Fraction *aFraction = [[Fraction alloc] init]; 
	Fraction *bFraction = [[Fraction alloc] init]; 
	
	[aFraction setTo: 1 over: 4];	 // set 1st fraction to 1/4
	[bFraction setTo: 1 over: 2];	 // set 2nd fraction to 1/2

	[aFraction print]; 
	printf (" + "); 
	[bFraction print]; 
	printf (" = ");
	
	[aFraction add: bFraction];

	// reduce the result of the addition and print the result

	[aFraction reduce];
	[aFraction print];
	printf ("\n");

	[aFraction free];
	[bFraction free];

	return 0;
}
