#import <stdio.h>
#import <objc/Object.h>

// ClassA declaration and definition

@interface ClassA: Object
{
	 int	x;
}

-(void) initVar;
-(void) printVar;
@end

@implementation ClassA;
-(void) initVar
{
	 x = 100;
}

-(void) printVar
{
	 printf ("x = %d\n", x);
}

@end

// ClassB declaration and definition

@interface ClassB: ClassA
-(void) initVar;
-(void) printVar;
@end

@implementation ClassB;
-(void) initVar       // added method
{
	 x = 200;
}

-(void) printVar
{
	 printf ("x = %d\n", x);
}
@end


int main (int argc, char *argv[])
{
	 ClassA	*a = [[ClassA alloc] init];
	 ClassB	*b = [[ClassB alloc] init];

	 [a initVar];	// uses ClassA method
	 [a printVar];	// reveal value of x;

	 [b initVar];	// use overriding ClassB method
	 [b printVar];	// reveal value of x;

	 [a free];
	 [b free];

	 return 0;
}
