// Shared Method Names: Polymorphism

#import "Fraction.h"
#import "Complex.h"

int main (int argc, char *argv[])
{
     Fraction *f1 = [[Fraction alloc] init];
     Fraction *f2 = [[Fraction alloc] init];
     Fraction *fracResult;
     Complex  *c1 = [[Complex alloc] init];
     Complex  *c2 = [[Complex alloc] init];
     Complex  *compResult;

     [f1 setTo: 2 over: 5];
     [f2 setTo: 1 over: 4];

     [c1 setReal: 10.0 andImaginary: 2.5];
     [c2 setReal: -5.0 andImaginary: 3.2];

     // add and print 2 complex numbers

     [c1 print]; printf (" + "); [c2 print];
     printf (" = ");
     compResult = [c1 add: c2];
     [compResult print];
     printf ("\n");

     [c1 free];
     [c2 free];
     [compResult free];

     // add and print 2 fractions

     [f1 print]; printf (" + "); [f2 print];
     printf (" = ");
     fracResult = [f1 add: f2];
     [fracResult print];
     printf ("\n");

     [f1 free];
     [f2 free];
     [fracResult free];

     return 0;
}
