#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSDictionary.h>
#import <Foundation/NSAutoreleasePool.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool    *pool = [[NSAutoreleasePool alloc] init];
	
	NSMutableDictionary  *glossary = [NSMutableDictionary dictionary];
	// Store three entries in the glossary

	[glossary setObject:
             @"A class defined so other classes can inherit from it"
                forKey: @"abstract class" ];
	[glossary setObject:
             @"To implement all the methods defined in a protocol"
                forKey: @"adopt"];
	[glossary setObject:
             @"Storing an object for later use"
                forKey: @"archiving"];

	// Retrieve and display them

	printf ("abstract class: %s\n\n",
		[[glossary objectForKey: @"abstract class"] cString]);
	printf ("adopt: %s\n\n",
		[[glossary objectForKey: @"adopt"] cString]);
	printf ("archiving: %s\n\n",
		[[glossary objectForKey: @"archiving"] cString]);

	[pool release];
	return 0;
}

