#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSDictionary.h>
#import <Foundation/NSEnumerator.h>
#import <Foundation/NSAutoreleasePool.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool    *pool = [[NSAutoreleasePool alloc] init];
	NSEnumerator  *keyEnum;
	NSString      *key;

	NSDictionary  *glossary =
	  [NSDictionary dictionaryWithObjectsAndKeys:
		@"A class defined so other classes can inherit from it",   
         @"abstract class",
		@"To implement all the methods defined in a protocol",
		@"adopt",
		@"Storing an object for later use",
		@"archiving",
	        nil
     ];

	//  Print all key-value pairs from the dictionary

	keyEnum = [glossary  keyEnumerator];

	while ( (key = [keyEnum  nextObject]) != nil ) {
		printf ("%s: %s\n\n",  [key cString],
		[[glossary objectForKey: key] cString]);
	}

	[pool release];
	return 0;
}

