#import <Foundation/NSObject.h>
#import <Foundation/NSArray.h>
#import <Foundation/NSString.h>
#import <Foundation/NSAutoreleasePool.h>

int main (int argc, char *argv[])
{
	int	 i;
	NSAutoreleasePool   *pool = [[NSAutoreleasePool alloc] init];

	// Create an array to contain the month names

	NSArray  *monthNames = [NSArray  arrayWithObjects:
	   @"January", @"February", @"March", @"April", 
	   @"May", @"June", @"July", @"August", @"September", 
	   @"October", @"November", @"December", nil ];

	// Now list all the elements in the array

	printf ("Month   Name\n=====   ====\n");
	for (i = 0; i < 12; ++i) 
		printf (" %2i     %s\n", i + 1, 
			[[monthNames objectAtIndex: i] cString]);

	[pool release];
	return 0;
}
	

