// Make a copy of a file

#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSFileManager.h>
#import <Foundation/NSAutoreleasePool.h>
#import <Foundation/NSData.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool  *pool = [[NSAutoreleasePool alloc] init];
	NSFileManager      *NSFm;
	NSData		 *fileData;

	NSFm = [NSFileManager  defaultManager];


	// Read the file newfile2

	fileData = [NSFm contentsAtPath: @"newfile2"];

	if (fileData == nil) {
		NSLog (@"File read failed!\n");
		return 1;
	}

	// Write the data to newfile3

	if ([NSFm createFileAtPath: @"newfile3" contents: fileData
	                attributes: nil] == NO) {
		NSLog (@"Couldn't create the copy!\n");
		return 2;
	}

	NSLog (@"File copy was successful!\n");

	[pool release];
	return 0;
}

