#import <Foundation/NSObject.h>
#import <Foundation/NSArray.h>
#import <Foundation/NSString.h>
#import <Foundation/NSAutoreleasePool.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	NSMutableArray    *dataArray = [NSMutableArray arrayWithObjects:
		@"one", @"two", @"three", @"four", nil];
	NSMutableArray    *dataArray2;
	int	            i, n;

	// simple assignment

	dataArray2 = dataArray;
	[dataArray2 removeObjectAtIndex: 0];

	printf ("dataArray:  ");
	for (i = 0; i < [dataArray count]; ++i)
		printf ("%s  ", [[dataArray objectAtIndex: i] cString]);

	printf ("\ndataArray2: ");
	for (i = 0; i < [dataArray2 count]; ++i)
		printf ("%s  ", [[dataArray2 objectAtIndex: i] cString]);

	// try a Copy, then remove the first element from the copy

	dataArray2 = [dataArray mutableCopy];
	[dataArray2 removeObjectAtIndex: 0];

	printf ("\ndataArray:  ");

	n = [dataArray count];
	for (i = 0; i < n; ++i)
		printf ("%s  ", [[dataArray objectAtIndex: i] cString]);

	printf ("\ndataArray2: ");

	n = [dataArray2 count];
	for (i = 0; i < n; ++i)
		printf ("%s  ", [[dataArray2 objectAtIndex: i] cString]);

	
	printf ("\n");

	[dataArray2 release];
	[pool release];
	return 0;
}

