#import <Foundation/NSObject.h>
#import <Foundation/NSArray.h>
#import <Foundation/NSString.h>
#import <Foundation/NSAutoreleasePool.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	NSMutableArray    *dataArray = [NSMutableArray arrayWithObjects:
		[NSMutableString stringWithString: @"one"],
		[NSMutableString stringWithString: @"two"],
		[NSMutableString stringWithString: @"three"],
		nil
	];
	NSMutableArray    *dataArray2;
	NSMutableString   *mStr;
	int	            i, n;

	printf ("dataArray:  ");
	n = [dataArray count];
	for (i = 0; i < n; ++i)
		printf ("%s  ", [[dataArray objectAtIndex: i] cString]);

	// make a copy, then change one of the strings

	dataArray2 = [dataArray mutableCopy];

	mStr = [dataArray objectAtIndex: 0];
   	[mStr appendString: @"ONE"];

	printf ("\ndataArray:  ");
	n = [dataArray count];
	for (i = 0; i < n; ++i)
		printf ("%s  ", [[dataArray objectAtIndex: i] cString]);

	printf ("\ndataArray2: ");
	n = [dataArray2 count];
	for (i = 0; i < n; ++i)
		printf ("%s  ", [[dataArray2 objectAtIndex: i] cString]);

	
	printf ("\n");

	[dataArray2 release];
	[pool release];
	return 0;
}

