#import <Foundation/NSObject.h>
#import <Foundation/NSAutoreleasePool.h>
#import <Foundation/NSString.h>
#import <Foundation/NSArchiver.h>
#import <Foundation/NSArray.h>

int main (int argc, char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	NSData	          *data;
	NSMutableArray    *dataArray = [NSMutableArray arrayWithObjects:
                [NSMutableString stringWithString: @"one"],
                [NSMutableString stringWithString: @"two"],
                [NSMutableString stringWithString: @"three"],
                nil
        ];

	NSMutableArray    *dataArray2;
	NSMutableString   *mStr;
	int               i, n;


	// Make a deep copy using the archiver

	data = [NSArchiver archivedDataWithRootObject: dataArray];
	dataArray2 = [NSUnarchiver unarchiveObjectWithData: data];

	mStr = [dataArray2 objectAtIndex: 0];
	[mStr appendString: @"ONE"];

	printf ("\ndataArray:  ");
	for (i = 0; i < [dataArray count]; ++i)
		printf ("%s  ", [[dataArray objectAtIndex: i] cString]);

	printf ("\ndataArray2: ");
	n = [dataArray2 count];   

	for (i = 0; i < n; ++i)
		printf ("%s  ", [[dataArray2 objectAtIndex: i]cString]);

	printf ("\n");
	[pool release];
	return 0;
}

