// Program to work with fractions – class version

#import <stdio.h>
#import <objc/Object.h>

//------- @interface section -------

@interface  Fraction: Object
{
	int	numerator;
	int	denominator;
}

-(void)	  print;
-(void)   setNumerator: (int) n;
-(void)   setDenominator: (int) d;

@end

//------- @implementation section -------


@implementation Fraction;
-(void) print 
{
	printf (" %i/%i ", numerator, denominator);
}

-(void) setNumerator: (int) n
{
	numerator = n;
}

-(void) setDenominator: (int) d
{
	denominator = d;
}

@end

//------- program section -------


int main (int argc, char *argv[])
{
	Fraction	*myFraction;

	// Create an instance of a Fraction

	myFraction = [Fraction alloc];
	myFraction = [myFraction init];

	// Set fraction to 1/3 

	[myFraction setNumerator: 1];		
	[myFraction setDenominator: 3];

	// Display the fraction using the print method

	printf ("The value of myFraction is:");
	[myFraction print];
	printf ("\n");

	[myFraction free];
	return 0;
}

