// Implement a Calculator class

#import <objc/Object.h>
#import <stdio.h>

@interface  Calculator: Object
{
    double  accumulator;
}   

// accumulator methods
-(void)   setAccumulator: (double) value;
-(void)   clear;
-(double) accumulator;       

// arithmetic methods
-(void)   add: (double) value;
-(void)   subtract: (double) value;
-(void)   multiply: (double) value;
-(void)   divide: (double) value;      
@end

@implementation Calculator;     
-(void) setAccumulator: (double) value
{
        accumulator = value;
}

-(void) clear
{
        accumulator = 0;
}

-(double) accumulator
{
        return accumulator;
}

-(void) add: (double) value
{
        accumulator += value;
}

-(void) subtract: (double) value
{
        accumulator -= value;
}

-(void) multiply: (double) value
{
        accumulator *= value;
}

-(void) divide: (double) value
{
        accumulator /= value;
}
@end

int main (int argc, char *argv[])
{
	Calculator   *myCalc;

	myCalc = [[Calculator alloc]  init];

	[myCalc clear];
 	[myCalc setAccumulator: 100.0];
 	[myCalc add: 200.];
  	[myCalc divide: 15.0];
 	[myCalc subtract: 10.0];
	[myCalc multiply: 5];

	printf ("The result is %g\n", [myCalc accumulator]);

	[myCalc free];
	return 0;
}
