// Bitwise operators illustrated 

int main (int argc, char *argv[])
{
    unsigned int  w1 = 0xA0A0A0A0, w2 = 0xFFFF0000,
	   w3 = 0x00007777;

    printf ("%x  %x  %x\n", w1 & w2, w1 | w2, w1 ^ w2);
    printf ("%x  %x  %x\n", ~w1, ~w2, ~w3);
    printf ("%x  %x  %x\n", w1 ^ w1, w1 & ~w2, w1 | w2 | w3);
    printf ("%x  %x\n", w1 | w2 & w3, w1 | w2 & ~w3);
    printf ("%x  %x\n", ~(~w1 & ~w2), ~(~w1 | ~w2));

    w1 ^= w2;
    w2 ^= w1;
    w1 ^= w2;
    printf ("w1 = %x, w2 = %x\n", w1, w2);

    return 0;
}
