#import "Fraction.h"

int main (int argc, char *argv[])
{
	Fraction *aFraction = [[Fraction alloc] init]; 
	Fraction *bFraction = [[Fraction alloc] init]; 

	Fraction *resultFraction;
	
	[aFraction setTo: 1 over: 4];	// set 1st fraction to 1/4
	[bFraction setTo: 1 over: 2];	// set 2nd fraction to 1/2

 
	[aFraction print]; 
	printf (" + "); 
	[bFraction print]; 
	printf (" = ");
	
	resultFraction = [aFraction add: bFraction];
	[resultFraction print];
	printf ("\n");

	// This time give the result directly to print
	// memory leakage here!
	
	[[aFraction add: bFraction] print];
	printf ("\n");

	[aFraction free];
	[bFraction free];

	[resultFraction free];

	return 0;
}
