// Simple example to illustrate inheritance

#import <objc/Object.h>
#import <stdio.h>

// ClassA declaration and definition

@interface ClassA: Object
{
	int	x;
}

-(void) initVar;
@end

@implementation ClassA;
-(void) initVar
{
	x = 100;
}
@end

// Class B declaration and definition

@interface ClassB : ClassA
-(void) printVar;
@end

@implementation ClassB;
-(void) printVar
{
	printf ("x = %i\n", x);
}
@end

int main (int argc, char *argv[])
{
	ClassB   *b = [[ClassB alloc] init];

	[b initVar];			// will use inherited method

	[b printVar];			// reveal value of x;

	[b free];	

	return 0;
}
