#import "Rectangle.h"
#import "Point.h"
#import <stdio.h>

int main (int argc,  char *argv[])
{
    Rectangle  *myRect = [[Rectangle alloc]  init];
    Point      *myPoint = [[Point alloc] init];

    [myPoint  setX: 100 andY: 200];

    [myRect setWidth: 5  andHeight: 8];
    [myRect setOrigin: myPoint];

    printf ("Rectangle w = %i, h = %i\n",        
            [myRect width], [myRect height]);
       
    printf ("Origin at (%i, %i)\n",
            [[myRect origin] x], [[myRect origin] y]);

    printf ("Area = %i, Perimeter = %i\n",
            [myRect area], [myRect perimeter]);

    [myRect free];
    [myPoint free];

    return 0;
}
