// Overriding Methods

#import <objc/Object.h>
#import <stdio.h>

// ClassA declaration and definition

@interface ClassA: Object
{
	 int	x;
}

-(void) initVar;
@end

@implementation ClassA;
-(void) initVar
{
	 x = 100;
}
@end

// ClassB declaration and definition

@interface ClassB: ClassA
-(void) initVar;
-(void) printVar;
@end

@implementation ClassB;
-(void) initVar       // added method
{
	 x = 200;
}

-(void) printVar
{
	 printf ("x = %d\n", x);
}
@end

int main (int argc, char *argv[])
{
	 ClassB   *b = [[ClassB  alloc]  init];

	 [b initVar];	// uses overriding method in B

	 [b printVar];	// reveal value of x;

	 [b free];

	 return 0;
}
