// Extension of instance variables

#import <objc/Object.h>
#import <stdio.h>

// Class A declaration and definition

@interface ClassA: Object
{
	int	x;
}

-(void) initVar;
@end

@implementation ClassA;
-(void) initVar
{
	x = 100;
}
@end

// ClassB declaration and definition

@interface ClassB: ClassA
{
	int   y;
}
-(void) initVar;
-(void) printVar;
@end

@implementation ClassB;
-(void) initVar
{
	x = 200;
	y = 300;
}

-(void) printVar
{
	printf ("x = %d\n", x);
	printf ("y = %d\n", y);
}
@end

int main (int argc, char *argv[])
{
	ClassB  *b = [[ClassB alloc] init];
	
	[b initVar];	// uses overriding method in ClassB
	[b printVar];	// reveal values of x and y;

	[b free];	
	return 0;
}
