#import "Square.h"
#import <stdio.h>

int main (int argc, char *argv[])
{
	Square *mySquare = [[Square alloc] init];


	// isMemberOf:

	if ( [mySquare isMemberOf: [Square class]] == YES )
		printf ("mySquare is a member of Square class\n");

	if ( [mySquare isMemberOf: [Rectangle class]] == YES )
		printf ("mySquare is a member of Rectangle class\n");

	if ( [mySquare isMemberOf: [Object class]] == YES )
		printf ("mySquare is a member of Object class\n");

	// isKindOf:

	if ( [mySquare isKindOf: [Square class]] == YES )
		printf ("mySquare is a kind of Square\n");

	if ( [mySquare isKindOf: [Rectangle class]] == YES )
		printf ("mySquare is a kind of Rectangle\n");

	if ( [mySquare isKindOf: [Object class]] == YES )
		printf ("mySquare is a kind of Object\n");

	// respondsTo:

	if ( [mySquare respondsTo: @selector (setSide:)] == YES )
		printf ("mySquare responds to setSide: method\n");

	if ( [mySquare respondsTo: @selector (setWidth:andHeight:)] == YES )
		printf ("mySquare responds to setWidth:andHeight: method\n");

	if ( [Square respondsTo: @selector (alloc)] == YES )
		printf ("Square class responds to alloc method\n");

	// instancesRespondTo:

	if ([Rectangle instancesRespondTo: @selector (setSide:)] == YES)
		printf ("Instances of Rectangle respond to setSide: method\n");

	if ([Square instancesRespondTo: @selector (setSide:)] == YES)
		printf ("Instances of Square respond to setSide: method\n");

	[mySquare free];

	return 0;
}
